io.undertow.util

## Class ClosingChannelExceptionHandler<T extends Channel>

- java.lang.Object
- - io.undertow.util.ClosingChannelExceptionHandler<T>

All Implemented Interfaces:
  EventListener, org.xnio.ChannelExceptionHandler<T>

    public class ClosingChannelExceptionHandler<T extends Channel>
    extends Object
    implements org.xnio.ChannelExceptionHandler<T>

Channel exception handler that closes the channel, logs a debug level message and closes arbitrary other resources.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ClosingChannelExceptionHandler(Closeable... closable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleException(T t, IOException e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClosingChannelExceptionHandler

    public ClosingChannelExceptionHandler(Closeable... closable)

### Method Detail

#### handleException

    public void handleException(T t,
                                IOException e)

Specified by:
  `handleException` in interface `org.xnio.ChannelExceptionHandler<T extends Channel>`